@import 'src/assets/scss/core/functions';
@import "src/assets/scss/core/breakpoints";
@import "src/assets/scss/core/mixins";
@import "src/assets/scss/settings";

.article {
  --offset: 15px;

  padding: var(--offset);
  background-color: var(--white-color);

  &__head {
    position: relative;
    margin-right: calc(-1 * var(--offset));
    margin-left: calc(-1 * var(--offset));
    margin-top: calc(-1 * var(--offset));
    padding: var(--offset);
    height: 295px;
    display: flex;
    flex-direction: column;
    justify-content: end;
    background-size: cover;
    background-repeat: no-repeat;

    &::before {
      content: "";
      position: absolute;
      bottom: -1px;
      right: 0;
      left: -2px;
      height: 25px;
      background-image: url("/assets/images/pages/index-page/components/article/images/decor.png");
      background-repeat: no-repeat;
      background-size: cover;
    }
  }

  &__date {
    font-size: 20px;
    font-weight: 700;
    text-transform: uppercase;
    line-height: 24px;
    color: var(--white-color);
  }

  &__title {
    margin-bottom: 15px;
    font-family: var(--font-title);
    font-size: 24px;
    text-transform: uppercase;
    line-height: 30px;
    font-weight: 700;
  }

  &__text {
    margin: 0;
    font-family: var(--font-text);
    font-size: 14px;
    line-height: 22px;
    color: $gray-dark-color;
  }

  &__link {
    position: relative;
    margin: 20px 0 10px;
    display: inline-block;
    font-family: var(--font-text);
    font-size: 14px;
    line-height: 17px;
    text-decoration: none;
    color: var(--black-color);
    transition: color 0.25s ease-in;

    &::after {
      content: "\279D";
      position: relative;
      top: 2px;
      margin-left: 10px;
      font-size: 16px;
      text-decoration: none;
      transition: all 0.25s ease-in;
    }

    @include hover() {
      color: var(--yellow-color);

      &::after {
        margin-left: 20px;
      }
    }
  }
}
